﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamGrid_GroupByCollectionChanged(object sender, Infragistics.Controls.Grids.GroupByCollectionChangedEventArgs e)
        {
            recursiveFunc(xamGrid1.Rows);
        }

        void recursiveFunc(RowCollection parentRows)
        {
            foreach (Row row in parentRows)
            {
                if (row.RowType == RowType.GroupByRow)
                {
                    GroupByRow gRow = (GroupByRow)row;

                    // If this row has children GroupByRows then collapse this row.
                    if (gRow.Rows.Count != 0 && gRow.Rows[0] is GroupByRow)
                    {
                        gRow.IsExpanded = true;
                        gRow.Height = new RowHeight(0);
                    }
                    else
                    {
                        gRow.Height = null;
                    }

                    recursiveFunc(gRow.Rows);
                }
            }
        }
    }
}
