﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace WpfApplication1
{
    public class SampleData : ObservableCollection<DataItem>
    {
        public SampleData()
        {
            Add(new DataItem() { Column1 = "TestItem123", Column2 = "TestItem123", Column3 = "TestItem123", WasEdited = false, });
            Add(new DataItem() { Column1 = "TestItem456", Column2 = "TestItem123", Column3 = "TestItem123", WasEdited = false, });
            Add(new DataItem() { Column1 = "TestItem123", Column2 = "TestItem123", Column3 = "TestItem123", WasEdited = false, });
            Add(new DataItem() { Column1 = "TestItem456", Column2 = "TestItem123", Column3 = "TestItem123", WasEdited = false, });
            Add(new DataItem() { Column1 = "TestItem456", Column2 = "TestItem123", Column3 = "TestItem123", WasEdited = false, });
            Add(new DataItem() { Column1 = "TestItem123", Column2 = "TestItem123", Column3 = "TestItem123", WasEdited = false, });
        }
    }

    public class DataItem : INotifyPropertyChanged
    {
        private string _column1;
        public string Column1
        {
            get { return _column1; }
            set { _column1 = value; OnPropertyChanged("Column1"); }
        }

        private string _column2;
        public string Column2
        {
            get { return _column2; }
            set { _column2 = value; OnPropertyChanged("Column2"); }
        }

        private string _column3;
        public string Column3
        {
            get { return _column3; }
            set { _column3 = value; OnPropertyChanged("Column3"); }
        }

        private bool _wasEdited;
        public bool WasEdited
        {
            get { return _wasEdited; }
            set { _wasEdited = value; OnPropertyChanged("WasEdited"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
